/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Languages
 */
public enum EnumCM_Languages 
{
	//CID 5000 Languages
	AFRIKAANS("Afrikaans"),
	AFRIKAANS__SOUTH_AFRICA("Afrikaans - South Africa"),
	ARABIC("Arabic"),
	ARABIC__UNITED_ARAB_EMIRATES("Arabic - United Arab Emirates"),
	ARABIC__BAHRAIN("Arabic - Bahrain"),
	ARABIC__ALGERIA("Arabic - Algeria"),
	ARABIC__EGYPT("Arabic - Egypt"),
	ARABIC__IRAQ("Arabic - Iraq"),
	ARABIC__JORDAN("Arabic - Jordan"),
	ARABIC__KUWAIT("Arabic - Kuwait"),
	ARABIC__LEBANON("Arabic - Lebanon"),
	ARABIC__LIBYA("Arabic - Libya"),
	ARABIC__MOROCCO("Arabic - Morocco"),
	ARABIC__OMAN("Arabic - Oman"),
	ARABIC__QATAR("Arabic - Qatar"),
	ARABIC__SAUDI_ARABIA("Arabic - Saudi Arabia"),
	ARABIC__SYRIA("Arabic - Syria"),
	ARABIC__TUNISIA("Arabic - Tunisia"),
	ARABIC__YEMEN("Arabic - Yemen"),
	AZERI("Azeri"),
	CYRL_AZERI_CYRILLIC__AZERBAIJAN("Cyrl Azeri (Cyrillic) - Azerbaijan"),
	AZERI_LATIN__AZERBAIJAN("Azeri (Latin) - Azerbaijan"),
	BELARUSIAN("Belarusian"),
	BELARUSIAN__BELARUS("Belarusian - Belarus"),
	BULGARIAN("Bulgarian"),
	BULGARIAN__BULGARIA("Bulgarian - Bulgaria"),
	CATALAN("Catalan"),
	CATALAN__CATALAN("Catalan - Catalan"),
	CZECH("Czech"),
	CZECH__CZECH_REPUBLIC("Czech - Czech Republic"),
	DANISH("Danish"),
	DANISH__DENMARK("Danish - Denmark"),
	GERMAN("German"),
	GERMAN__AUSTRIA("German - Austria"),
	GERMAN__SWITZERLAND("German - Switzerland"),
	GERMAN__GERMANY("German - Germany"),
	GERMAN__LIECHTENSTEIN("German - Liechtenstein"),
	GERMAN__LUXEMBOURG("German - Luxembourg"),
	DHIVEHI("Dhivehi"),
	DHIVEHI__MALDIVES("Dhivehi - Maldives"),
	GREEK("Greek"),
	GREEK__GREECE("Greek - Greece"),
	ENGLISH("English"),
	ENGLISH__AUSTRALIA("English - Australia"),
	ENGLISH__BELIZE("English - Belize"),
	ENGLISH__CANADA("English - Canada"),
	ENGLISH__CARIBBEAN("English - Caribbean"),
	ENGLISH__UNITED_KINGDOM("English - United Kingdom"),
	ENGLISH__IRELAND("English - Ireland"),
	ENGLISH__JAMAICA("English - Jamaica"),
	ENGLISH__NEW_ZEALAND("English - New Zealand"),
	ENGLISH__PHILIPPINES("English - Philippines"),
	ENGLISH__TRINIDAD_AND_TOBAGO("English - Trinidad and Tobago"),
	ENGLISH__UNITED_STATES("English - United States"),
	ENGLISH__SOUTH_AFRICA("English - South Africa"),
	ENGLISH__ZIMBABWE("English - Zimbabwe"),
	SPANISH("Spanish"),
	SPANISH__ARGENTINA("Spanish - Argentina"),
	SPANISH__BOLIVIA("Spanish - Bolivia"),
	SPANISH__CHILE("Spanish - Chile"),
	SPANISH__COLOMBIA("Spanish - Colombia"),
	SPANISH__COSTA_RICA("Spanish - Costa Rica"),
	SPANISH__DOMINICAN_REPUBLIC("Spanish - Dominican Republic"),
	SPANISH__ECUADOR("Spanish - Ecuador"),
	SPANISH__SPAIN("Spanish - Spain"),
	SPANISH__GUATEMALA("Spanish - Guatemala"),
	SPANISH__HONDURAS("Spanish - Honduras"),
	SPANISH__MEXICO("Spanish - Mexico"),
	SPANISH__NICARAGUA("Spanish - Nicaragua"),
	SPANISH__PANAMA("Spanish - Panama"),
	SPANISH__PERU("Spanish - Peru"),
	SPANISH__PUERTO_RICO("Spanish - Puerto Rico"),
	SPANISH__PARAGUAY("Spanish - Paraguay"),
	SPANISH__EL_SALVADOR("Spanish - El Salvador"),
	SPANISH__URUGUAY("Spanish - Uruguay"),
	SPANISH__VENEZUELA("Spanish - Venezuela"),
	ESTONIAN("Estonian"),
	ESTONIAN__ESTONIA("Estonian - Estonia"),
	BASQUE("Basque"),
	BASQUE__BASQUE("Basque - Basque"),
	FARSI("Farsi"),
	FARSI__IRAN("Farsi - Iran"),
	FINNISH("Finnish"),
	FINNISH__FINLAND("Finnish - Finland"),
	FAROESE("Faroese"),
	FAROESE__FAROE_ISLANDS("Faroese - Faroe Islands"),
	FRENCH("French"),
	FRENCH__BELGIUM("French - Belgium"),
	FRENCH__CANADA("French - Canada"),
	FRENCH__SWITZERLAND("French - Switzerland"),
	FRENCH__FRANCE("French - France"),
	FRENCH__LUXEMBOURG("French - Luxembourg"),
	FRENCH__MONACO("French - Monaco"),
	GALICIAN("Galician"),
	GALICIAN__GALICIAN("Galician - Galician"),
	GUJARATI("Gujarati"),
	GUJARATI__INDIA("Gujarati - India"),
	HEBREW("Hebrew"),
	HEBREW__ISRAEL("Hebrew - Israel"),
	HINDI("Hindi"),
	HINDI__INDIA("Hindi - India"),
	CROATIAN("Croatian"),
	CROATIAN__CROATIA("Croatian - Croatia"),
	HUNGARIAN("Hungarian"),
	HUNGARIAN__HUNGARY("Hungarian - Hungary"),
	ARMENIAN("Armenian"),
	ARMENIAN__ARMENIA("Armenian - Armenia"),
	INDONESIAN("Indonesian"),
	INDONESIAN__INDONESIA("Indonesian - Indonesia"),
	ICELANDIC("Icelandic"),
	ICELANDIC__ICELAND("Icelandic - Iceland"),
	ITALIAN("Italian"),
	ITALIAN__SWITZERLAND("Italian - Switzerland"),
	ITALIAN__ITALY("Italian - Italy"),
	JAPANESE("Japanese"),
	JAPANESE__JAPAN("Japanese - Japan"),
	GEORGIAN("Georgian"),
	GEORGIAN__GEORGIA("Georgian - Georgia"),
	KAZAKH("Kazakh"),
	KAZAKH__KAZAKHSTAN("Kazakh - Kazakhstan"),
	KANNADA("Kannada"),
	KANNADA__INDIA("Kannada - India"),
	KOREAN("Korean"),
	KONKANI("Konkani"),
	KONKANI__INDIA("Konkani - India"),
	KOREAN__KOREA("Korean - Korea"),
	KYRGYZ("Kyrgyz"),
	KYRGYZ__KYRGYZSTAN("Kyrgyz - Kyrgyzstan"),
	LITHUANIAN("Lithuanian"),
	LITHUANIAN__LITHUANIA("Lithuanian - Lithuania"),
	LATVIAN("Latvian"),
	LATVIAN__LATVIA("Latvian - Latvia"),
	MACEDONIAN("Macedonian"),
	MACEDONIAN__FORMER_YUGOSLAV_REPUBLIC_OF_MACEDONIA("Macedonian - Former Yugoslav Republic of Macedonia"),
	MONGOLIAN("Mongolian"),
	MONGOLIAN__MONGOLIA("Mongolian - Mongolia"),
	MARATHI("Marathi"),
	MARATHI__INDIA("Marathi - India"),
	MALAY("Malay"),
	MALAY__BRUNEI("Malay - Brunei"),
	MALAY__MALAYSIA("Malay - Malaysia"),
	NORWEGIAN_BOKML__NORWAY("Norwegian (Bokm?l) - Norway"),
	DUTCH("Dutch"),
	DUTCH__BELGIUM("Dutch - Belgium"),
	DUTCH__THE_NETHERLANDS("Dutch - The Netherlands"),
	NORWEGIAN_NYNORSK__NORWAY("Norwegian (Nynorsk) - Norway"),
	NORWEGIAN("Norwegian"),
	PUNJABI("Punjabi"),
	PUNJABI__INDIA("Punjabi - India"),
	POLISH("Polish"),
	POLISH__POLAND("Polish - Poland"),
	PORTUGUESE("Portuguese"),
	PORTUGUESE__BRAZIL("Portuguese - Brazil"),
	PORTUGUESE__PORTUGAL("Portuguese - Portugal"),
	ROMANIAN("Romanian"),
	ROMANIAN__ROMANIA("Romanian - Romania"),
	RUSSIAN("Russian"),
	RUSSIAN__RUSSIA("Russian - Russia"),
	SANSKRIT("Sanskrit"),
	SANSKRIT__INDIA("Sanskrit - India"),
	SLOVAK("Slovak"),
	SLOVAK__SLOVAKIA("Slovak - Slovakia"),
	SLOVENIAN("Slovenian"),
	SLOVENIAN__SLOVENIA("Slovenian - Slovenia"),
	ALBANIAN("Albanian"),
	ALBANIAN__ALBANIA("Albanian - Albania"),
	SERBIAN_CYRILLIC__SERBIA("Serbian (Cyrillic) - Serbia"),
	SERBIAN_LATIN__SERBIA("Serbian (Latin) - Serbia"),
	SWEDISH("Swedish"),
	SWEDISH__FINLAND("Swedish - Finland"),
	SWEDISH__SWEDEN("Swedish - Sweden"),
	SWAHILI("Swahili"),
	SWAHILI__KENYA("Swahili - Kenya"),
	SYRIAC("Syriac"),
	SYRIAC__SYRIA("Syriac - Syria"),
	TAMIL("Tamil"),
	TAMIL__INDIA("Tamil - India"),
	TELUGU("Telugu"),
	TELUGU__INDIA("Telugu - India"),
	THAI("Thai"),
	THAI__THAILAND("Thai - Thailand"),
	TURKISH("Turkish"),
	TURKISH__TURKEY("Turkish - Turkey"),
	TATAR("Tatar"),
	TATAR__RUSSIA("Tatar - Russia"),
	UKRAINIAN("Ukrainian"),
	UKRAINIAN__UKRAINE("Ukrainian - Ukraine"),
	URDU("Urdu"),
	URDU__PAKISTAN("Urdu - Pakistan"),
	UZBEK("Uzbek"),
	UZBEK_CYRILLIC__UZBEKISTAN("Uzbek (Cyrillic) - Uzbekistan"),
	UZBEK_LATIN__UZBEKISTAN("Uzbek (Latin) - Uzbekistan"),
	VIETNAMESE("Vietnamese"),
	CHINESE_TRADITIONAL("Chinese (Traditional)"),
	CHINESE_SIMPLIFIED("Chinese (Simplified)"),
	CHINESE__CHINA("Chinese - China"),
	CHINESE__HONG_KONG_SAR("Chinese - Hong Kong SAR"),
	CHINESE__MACAO_SAR("Chinese - Macao SAR"),
	CHINESE__SINGAPORE("Chinese - Singapore"),
	CHINESE__TAIWAN("Chinese - Taiwan"),
	
;
	private String value;
	
	EnumCM_Languages(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}